package com.free.video.wallpaper.content;


import java.io.Serializable;

import io.objectbox.annotation.Entity;
import io.objectbox.annotation.Id;

@Entity
public class ResultData implements Serializable {

    @Id
    private long objectId;

    private String category;
    private String description;
    private String downloads;
    private int id;
    private String image;
    private int pro;

    private String resolution;
    private String thumbnail;

    //0 :trending  1:dnamic    2:shift  3:explore
    private int wallpapertype;


    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public long getObjectId() {
        return objectId;
    }

    public void setObjectId(long objectId) {
        this.objectId = objectId;
    }

    public String getCategory() {
        return category;
    }

    public void setCategory(String category) {
        this.category = category;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getDownloads() {
        return downloads;
    }

    public void setDownloads(String downloads) {
        this.downloads = downloads;
    }

    public String getImage() {
        return image;
    }

    public void setImage(String image) {
        this.image = image;
    }

    public int getPro() {
        return pro;
    }

    public void setPro(int pro) {
        this.pro = pro;
    }

    public String getResolution() {
        return resolution;
    }

    public void setResolution(String resolution) {
        this.resolution = resolution;
    }

    public String getThumbnail() {
        return thumbnail;
    }

    public void setThumbnail(String thumbnail) {
        this.thumbnail = thumbnail;
    }

    public int getWallpapertype() {
        return wallpapertype;
    }

    public void setWallpapertype(int wallpapertype) {
        this.wallpapertype = wallpapertype;
    }
}
